.angie-cut-corners-833ac361 {
    --angie-cc-size: 20px;
    --angie-cc-border-width: 2px;
    --angie-cc-border-color: #000;
    --angie-cc-polygon: polygon(
        0% var(--angie-cc-size), 
        var(--angie-cc-size) 0%, 
        calc(100% - var(--angie-cc-size)) 0%, 
        100% var(--angie-cc-size), 
        100% calc(100% - var(--angie-cc-size)), 
        calc(100% - var(--angie-cc-size)) 100%, 
        var(--angie-cc-size) 100%, 
        0% calc(100% - var(--angie-cc-size))
    );
}

.angie-cut-corners-833ac361.angie-cc-type-solid {
    clip-path: var(--angie-cc-polygon);
}

.angie-cut-corners-833ac361.angie-cc-type-outline {
    position: relative;
    clip-path: var(--angie-cc-polygon);
}

.angie-cut-corners-833ac361.angie-cc-type-outline::before {
    content: '';
    position: absolute;
    inset: 0;
    background: var(--angie-cc-border-color);
    clip-path: var(--angie-cc-polygon);
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    padding: var(--angie-cc-border-width);
    pointer-events: none;
    z-index: 10;
}
